PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Attributes | List of all members
PHTTPMultiSimpAuth Class Reference

This class describes the simple authorisation mechanism for a Universal Resource Locator, a fixed realm, multiple usernames and passwords. More...

`#include <http.h>`

Inheritance diagram for PHTTPMultiSimpAuth:
[legend]
Collaboration diagram for PHTTPMultiSimpAuth:
[legend]

## Public Member Functions
| PHTTPMultiSimpAuth (const PString &realm)
| PHTTPMultiSimpAuth (const PString &realm, const PStringToString &userList)
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
virtual PString | GetRealm (const PHTTPRequest &request) const
| Get the realm or name space for the user authorisation name and password as required by the basic authorisation system of HTTP/1.0. More...
virtual PBoolean | Validate (const PHTTPRequest &request, const PString &authInfo) const
| Validate the user and password provided by the remote HTTP client for the realm specified by the class instance. More...
virtual PBoolean | IsActive () const
| Determine if the authirisation is to be applied. More...
void | AddUser (const PString &username, const PString &password)
| Get the user name allocated to this simple authorisation. More...

## Protected Attributes
PString | realm
PStringToString | users

## Additional Inherited Members
Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Static Public Member Functions inherited from PObject
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
static const char * | Class ()
| Get the name of the class as a C string. More...
static __inline const PObject * | PTraceObjectInstance (const char *)
static __inline const PObject * | PTraceObjectInstance (const PObject *obj)
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...
Static Protected Member Functions inherited from PHTTPAuthority
static void | DecodeBasicAuthority (const PString &authInfo, PString &username, PString &password)
Friends inherited from PObject

## Detailed Description

This class describes the simple authorisation mechanism for a Universal Resource Locator, a fixed realm, multiple usernames and passwords.

## Constructor & Destructor Documentation

PHTTPMultiSimpAuth::PHTTPMultiSimpAuth | ( | const PString & | realm | ) |

Parameters

  realm | Name space for the username and password.

PHTTPMultiSimpAuth::PHTTPMultiSimpAuth | ( | const PString & | realm,
|  | const PStringToString & | userList
| ) |  |

Parameters

  realm | Name space for the usernames.
  userList | List of usernames and passwords.

## Member Function Documentation

void PHTTPMultiSimpAuth::AddUser | ( | const PString & | username,
|  | const PString & | password
| ) |  |

Get the user name allocated to this simple authorisation.

Returns
  String for the authorisation user name.

Parameters

  username | Username that this object wiull authorise.
  password | Password for the above username.

virtual PObject* PHTTPMultiSimpAuth::Clone | ( |  | ) | const
| virtual

Create a copy of the class on the heap.

This is used by the `PHTTPResource` classes for maintaining authorisation to resources.

Returns
  pointer to new copy of the class instance.

Reimplemented from PObject.

virtual PString PHTTPMultiSimpAuth::GetRealm | ( | const PHTTPRequest & | request | ) | const
| virtual

Get the realm or name space for the user authorisation name and password as required by the basic authorisation system of HTTP/1.0.

Returns
  String for the authorisation realm name.

Parameters

  request | Request information.

Implements PHTTPAuthority.

virtual PBoolean PHTTPMultiSimpAuth::IsActive | ( |  | ) | const
| virtual

Determine if the authirisation is to be applied.

This could be used to distinguish between net requiring authorisation and requiring autorisation but having no password.

The default behaviour is to return true.

Returns
  true if the authorisation in the realm is to be applied.

Reimplemented from PHTTPAuthority.

virtual PBoolean PHTTPMultiSimpAuth::Validate | ( | const PHTTPRequest & | request,
|  | const PString & | authInfo
| ) |  | const
| virtual

Validate the user and password provided by the remote HTTP client for the realm specified by the class instance.

Returns
  true if the user and password are authorised in the realm.

Parameters

  request | Request information.
  authInfo | Authority information string.

Implements PHTTPAuthority.

## Member Data Documentation

PString PHTTPMultiSimpAuth::realm
| protected

PStringToString PHTTPMultiSimpAuth::users
| protected

The documentation for this class was generated from the following file:

- http.h